package com.atlassian.bitbucket.mesh.git.builder.branch;

import com.atlassian.bitbucket.mesh.git.builder.GitProcess;
import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilderSupport;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public interface GitBranchCreateBuilder extends GitProcessBuilderSupport<GitBranchCreateBuilder> {

    @Nonnull
    GitProcess<Void> build();

    @Nonnull
    GitBranchCreateBuilder force(boolean value);

    @Nonnull
    GitBranchCreateBuilder reflog(boolean value);

    @Nonnull
    GitBranchCreateBuilder startPoint(@Nullable String value);

    @Nonnull
    GitBranchCreateBuilder track(boolean value);
}
